# StatusStrip

Adds supports for \[System.Windows.Forms.statusstrip]\(<https://msdn.microsoft.com/en-us/library/system.windows.forms.statusstrip(v=vs.110).aspx>)

### Implementation  Details:

> **Component Selector:** 'wm-statusstrip'

## Class inheritance

StatusStrip extends [ControlComponent](/webmap/general/frontend/documentation/winforms-angular-components/web-components/base-components/control-component.md).

## PME Support

StatusStrip fetch a list of components wich have an UniqueId and a Type in order to build a dynamic component. Currently just label component is suported.

### Properties

| Property         | Get/Set | Notify Changes | Details                                                         |
| ---------------- | ------- | -------------- | --------------------------------------------------------------- |
| refresh: boolean | Yes     | Yes            | Notifies whenever refresh is true and  calls fetchItems method. |

### Methods

| Method           | Return type | Details                                                                    |
| ---------------- | ----------- | -------------------------------------------------------------------------- |
| fetchItems       | void        | Calls fetch webmapMethod.                                                  |
| buildComponent   | void        | Receives  component id and its type in order to build a dynamic component. |
| getComponentType | void        | Receives the type  and return the requested type of component.             |

### Events

| Event | Supported | Parameter | Details |
| ----- | --------- | --------- | ------- |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.gapvelocity.ai/webmap/general/frontend/documentation/winforms-angular-components/web-components/kendoui-components/statusstrip.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
